package com.company.crossdatastore.view.organization;

import com.company.crossdatastore.entity.Organization;

import com.company.crossdatastore.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "organizations", layout = MainView.class)
@ViewController("Organization.list")
@ViewDescriptor("organization-list-view.xml")
@LookupComponent("organizationsDataGrid")
@DialogMode(width = "64em")
public class OrganizationListView extends StandardListView<Organization> {
}